// 	UMouseInfo.h 
// 	Copyright  1992 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TMapApplication class, the base application class
//	for the MouseInfo application
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


// INCLUDE FILES

#ifndef __UMOUSEINFO__
#define __UMOUSEINFO__

#ifndef __INCLUDEFILES__
#include "IncludeFiles.h"
#endif

#ifndef __UMOUSEDOCUMENT__
#include "UMouseDocument.h"
#endif

#ifndef __UAPPFRAMEADORNER__
#include "UAppFrameAdorner.h"
#endif

//	Our About Box support
#ifndef __ABOUT__
#include "About.h"
#endif

//	CLASSES
//	TMapApplication, our application class
DeclareClassDesc(TMapApplication);

class TMapApplication : public TApplication
{

	DeclareClass(TMapApplication);

public:
	TMapApplication();
	virtual 	 void IMapApplication(OSType fileType,
										OSType creator);
	virtual 	 TDocument* DoMakeDocument(CommandNumber,
											 TFile*);

	virtual 	 void DoAboutBox();

	virtual 	 RgnHandle GetSleepRegion();
};




#endif

