// Copyright  1991 Apple Computer, Inc. All rights reserved.

#ifndef __UDIALOGS__
#define __UDIALOGS__

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __MACAPPTYPES__
#include <MacAppTypes.h>
#endif

#ifndef __MEMORY__
#include <Memory.h>
#endif

#ifndef __UOBJECT__
#include <UObject.h>
#endif

#ifndef __ULIST__
#include <UList.h>
#endif

#ifndef __CONTROLS__
#include <Controls.h>
#endif

#ifndef __WINDOWS__
#include <Windows.h>
#endif

#ifndef __TEXTEDIT__
#include <TextEdit.h>
#endif

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

#ifndef __UEVENTHANDLER__
#include <UEventHandler.h>
#endif

#ifndef __UCCOMMANDHANDLER__
#include <UCommandHandler.h>
#endif

#ifndef __UAPPLICATION__
#include <UApplication.h>
#endif

#ifndef __UVIEW__
#include <UView.h>
#endif

#ifndef __UWINDOW__
#include <UWindow.h>
#endif

#ifndef __UMACAPPUTILITIES__
#include <UMacAppUtilities.h>
#endif

#ifndef __UMACAPPGLOBALS__
#include <UMacAppGlobals.h>
#endif

#ifndef __UDIALOG__
#include <UDialog.h>
#endif



// ================================================================================
DeclareClassDesc(TDialogsApplication);

class TDialogsApplication: public TApplication {

	DeclareClass(TDialogsApplication);

public:
	virtual void IDialogsApplication();
	virtual void DoMenuCommand(CommandNumber aCommandNumber);		// override
	virtual void DoSetupMenus();									// override
	virtual void ShowModalDialog();
};

#endif
