// MEenie.cp
// Copyright  1991 by Apple Computer, Inc. All rights reserved.


// INCLUDES ---------------------------------------------------------------------------

#include "UEenie.h"
#include "EenieRez.h"


// T H E   M A I N	P R O G R A M -----------------------------------------------------

#pragma push
#pragma processor 68000


TAdornerApplication* gAdornerApplication;	// the application object 

void main()
{
	InitToolBox();							// essential toolbox and utilities initialization

	// make sure we can run
	if (ValidateConfiguration(gConfiguration) && gConfiguration.hasColorQD){					
		// we made it! Continue with remainder of initialization 
		
		InitUMacApp(8);						// initialize MacApp; 8 calls to MoreMasters
		InitUDialog();						// initialize the TDialog view handling

		// construct a new TAdornerApplication object, allocation errors are checked for.
		gAdornerApplication = new TAdornerApplication;
		gAdornerApplication->IAdornerApplication(kFileType, kSignature);

		gAdornerApplication->Run(); 		// run the application, when it's done - exit.
	}
	else
		StdAlert(phUnsupportedConfiguration);
}

#pragma pop


