// 	ResourceConstants.h file
// 	Copyright  1992 by Apple Computer, Inc.  All rights reserved. 
//	Kent Sandvik DTS
//	This file contains resource types which are needed in both the
//	source code and the resource files. 
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


#ifndef __RESOURCECONSTANTS__
#define __RESOURCECONSTANTS__

//	Signature and Type
#define kSignature				'FOOB'			// application signature
#define kFileType				'FOOD'			// file type code used for document files created by this application
#define kStationery				'fOOD'			// Stationery file type 


//	Bundle Constants
#define kBundleID				128
#define kApplicationID			128
#define kDocumentID				129
#define kStationeryID			130


// 	Menus and Commands
#define mWindows				3
#define mMouseTrack				4
#define cOpenTracker			4001

//	Views
#define kMainWindow				1002			// the main document window
#define kFloatingWindow			1003			// floating window



#endif
