// 	UMouseDocument.h
// 	Copyright  1992 by Apple Computer, Inc. All rights reserved.
//	Kent Sandvik DTS
//	This file contains the TMouseDocument class, the basic TDocument
//	class used in the MouseInfo application.
//	Version Info (latest first):
//
//	<1>		khs		1.0		First final version
//	<2>		khs		1.0.1	Fixed a memory leak in TMapApplication::GetSleepValue()


#ifndef __UMOUSEDOCUMENT__
#define __UMOUSEDOCUMENT__

//	INCLUDE FILES

#ifndef __UMOUSEINFO__
#include "UMouseInfo.h"
#endif

#ifndef __UMENUEDWINDOW__
#include "UMenuedWindow.h"
#endif

#ifndef __UMOUSETRACKBEHAVIOR__
#include "UMouseTrackBehavior.h"
#endif


//	CLASSES
//	TMouseDocument, our main document class which coordinates it all
//	It does not really do much decent work, though, but hey this is a sample
DeclareClassDesc(TMouseDocument);

class TMouseDocument : public TDocument
{

	DeclareClass(TMouseDocument);

public:
	TMouseDocument();
	virtual 	 void IMouseDocument();
	virtual 	 void Free();

	virtual 	 void DoMakeViews(Boolean		/*forPrinting*/);

	TView* fMainView;
};



#endif

