// Copyright  1991 Apple Computer, Inc. All rights reserved.

#ifndef __UDIALOGS__
#include <UDialogs.h>
#endif

#ifndef __MACAPP__
#include <MacApp.h>
#endif

#ifndef __UPRINTING__
#include <UPrinting.h>
#endif

#ifndef __UGRIDVIEW__
#include <UGridView.h>
#endif

#ifndef __UTEVIEW__
#include <UTEView.h>
#endif

#ifndef __UDIALOG__
#include <UDialog.h>
#endif

#ifndef __UGEOMETRY__
#include <UGeometry.h>
#endif

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
#pragma push
#pragma processor 68000

void main()
{	

   TDialogsApplication	*gDialogsApplication;

	InitToolBox();													//	essential toolbox and utilities
	if (ValidateConfiguration(gConfiguration)){			//	make sure we can run
		InitUMacApp(8); 											//	8 calls to MoreMasters
		InitUTEView();												
		InitUDialog();												

		gDialogsApplication = new TDialogsApplication;	//	create an application object
		gDialogsApplication->IDialogsApplication();		//	initialize the application
		gDialogsApplication->Run();							//	run the application
	}
	else
		StdAlert(phUnsupportedConfiguration);				//	tell user we can't run
}

#pragma pop
