// Copyright  1991 by Apple Computer, Inc.  All rights reserved. 
// WindoidRez.h file - used by both Rez and the main code

#ifndef __WINDOIDREZ__
#define __WINDOIDREZ__

// RESOURCE IDs ---------------------------------------------------------------

// GLOBALS --------------------------------------------------------------------

#define kSignature				'MOOF'			// qpplication signature
#define kFileType				'SF01'			// file type code used for document files created by this application


// MENUS ----------------------------------------------------------------------

#define mWindoid				10				// windoid menu
#define cGreen					1001			// windoid commands
#define cYellow					1002	
#define cRed					1003

#define mNormalMenu				11
#define cNormGreen				1101
#define cNormYellow				1102
#define cNormRed				1103

#define cChangeTool				1014


// VIEWS ----------------------------------------------------------------------

#define kWindowRSRCID			1001			// the main document window
#define kShapeViewRSRCID		1006
#define kLightPaletteRSRCID		1007

#define kLightPaletteWidth		35				// width of the tools palette
#define kLightPaletteHeight		102				// height of the tools palette 
#define kLightsInPalette		3

#define kWindoidWDEF			48				// the default windoid WDEF proc ID
#define kWindoidHilite			 1				// add this to kWindoidWDEF if the title bar can be unhilited
#define kWindoidTallTitleBar	 2				// add this to kWindoidWDEF if the title bar has a title
#define kWindoidNotResizable	 4				// add this to kWindoidWDEF if the windoid is NOT resizable
#define kWindoidZoomable		 8				// add this to kWindoidWDEF if the windoid is zoomable


#endif
